Bug 1702110 - [abrt] recoll: find_cookie(): tokenize.py:405:find_cookie: File "<string>", line None
Summary: [abrt] recoll: find_cookie(): tokenize.py:405:find_cookie: File "<string>", ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: recoll
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:463898153340056d233577fc7a0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-23 00:35 UTC by kxra
Modified: 2019-05-07 14:23 UTC (History)
2 users (show)

Fixed In Version: recoll-1.25.15-1.fc28 recoll-1.25.15-1.fc30 recoll-1.25.15-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-07 04:49:55 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.27 KB, text/plain)
2019-04-23 00:35 UTC, kxra
no flags Details
File: cgroup (331 bytes, text/plain)
2019-04-23 00:35 UTC, kxra
no flags Details
File: cpuinfo (1.46 KB, text/plain)
2019-04-23 00:35 UTC, kxra
no flags Details
File: environ (4.48 KB, text/plain)
2019-04-23 00:35 UTC, kxra
no flags Details
File: mountinfo (3.68 KB, text/plain)
2019-04-23 00:35 UTC, kxra
no flags Details
File: namespaces (129 bytes, text/plain)
2019-04-23 00:35 UTC, kxra
no flags Details
File: open_fds (388 bytes, text/plain)
2019-04-23 00:35 UTC, kxra
no flags Details

Description kxra 2019-04-23 00:35:37 UTC
Version-Release number of selected component:
recoll-1.25.11-1.fc30

Additional info:
reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 /usr/share/recoll/filters/rclpython /home/kyra/.local/lib/python2.7/site-packages/astroid/tests/testdata/python2/data/invalid_encoding.py
crash_function: find_cookie
exception_type: LookupError
executable:     /usr/share/recoll/filters/rclpython
interpreter:    python3-3.7.3-1.fc30.x86_64
kernel:         5.0.8-300.fc30.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
tokenize.py:405:find_cookie:  File "<string>", line None

Traceback (most recent call last):
  File "/usr/lib64/python3.7/tokenize.py", line 397, in find_cookie
    codec = lookup(encoding)
LookupError: unknown encoding: lala

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/recoll/filters/rclpython", line 258, in <module>
    colorize_file(filepath, out)
  File "/usr/share/recoll/filters/rclpython", line 239, in colorize_file
    Parser(source, out=outstream).format()
  File "/usr/share/recoll/filters/rclpython", line 155, in format
    for a,b,c,d,e in tokenize.tokenize(text.readline):
  File "/usr/lib64/python3.7/tokenize.py", line 481, in tokenize
    encoding, consumed = detect_encoding(readline)
  File "/usr/lib64/python3.7/tokenize.py", line 426, in detect_encoding
    encoding = find_cookie(first)
  File "/usr/lib64/python3.7/tokenize.py", line 405, in find_cookie
    raise SyntaxError(msg)
  File "<string>", line None
SyntaxError: unknown encoding: lala

Local variables in innermost frame:
line: b'# -*- coding: lala -*-'
line_string: '# -*- coding: lala -*-'
msg: 'unknown encoding: lala'
match: <re.Match object; span=(0, 18), match='# -*- coding: lala'>
encoding: 'lala'
bom_found: False
filename: None

Comment 1 kxra 2019-04-23 00:35:39 UTC
Created attachment 1557309 [details]
File: backtrace

Comment 2 kxra 2019-04-23 00:35:40 UTC
Created attachment 1557310 [details]
File: cgroup

Comment 3 kxra 2019-04-23 00:35:40 UTC
Created attachment 1557311 [details]
File: cpuinfo

Comment 4 kxra 2019-04-23 00:35:41 UTC
Created attachment 1557312 [details]
File: environ

Comment 5 kxra 2019-04-23 00:35:42 UTC
Created attachment 1557313 [details]
File: mountinfo

Comment 6 kxra 2019-04-23 00:35:42 UTC
Created attachment 1557314 [details]
File: namespaces

Comment 7 kxra 2019-04-23 00:35:43 UTC
Created attachment 1557315 [details]
File: open_fds

Comment 8 Fedora Update System 2019-04-28 18:03:14 UTC
recoll-1.25.15-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7abe176067

Comment 9 Fedora Update System 2019-04-28 18:03:20 UTC
recoll-1.25.15-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a4787f16d2

Comment 10 Fedora Update System 2019-04-28 18:03:27 UTC
recoll-1.25.15-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b3167666fa

Comment 11 Fedora Update System 2019-04-29 03:00:21 UTC
recoll-1.25.15-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b3167666fa

Comment 12 Fedora Update System 2019-04-29 04:09:21 UTC
recoll-1.25.15-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7abe176067

Comment 13 Fedora Update System 2019-04-29 17:40:39 UTC
recoll-1.25.15-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a4787f16d2

Comment 14 Fedora Update System 2019-05-07 04:49:55 UTC
recoll-1.25.15-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-05-07 05:41:26 UTC
recoll-1.25.15-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-05-07 14:23:37 UTC
recoll-1.25.15-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.